Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
libpng upgrade broke WindowMaker
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
sl70
Guru
Guru


Joined: 18 Jun 2002
Posts: 397
Location: Chicago, USA

PostPosted: Tue Jan 07, 2014 3:37 am    Post subject: libpng upgrade broke WindowMaker Reply with quote

I've been using WindowMaker for 12 years or so and haven't found anything else I'm as comfortable with. With the recent update to libpng 1.6 wmaker fails to build. I'm getting this message:
Code:
libtool: link: x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -DBOUNCE_APP -DNEWAPPICON -DVIRTUAL_DESKTOP -Wl,-O1 -o .libs/colorpick colorpick.o  -Wl,--as-needed ../../WINGs/libWINGs.a ../../wrlib/.libs/libwraster.so -L/usr/lib64 -ltiff -lXpm -lpng -lz -ljpeg -lgif -lXext -lX11 -lm -lXft
/usr/lib/gcc/x86_64-pc-linux-gnu/4.7.3/../../../../x86_64-pc-linux-gnu/bin/ld: ../../WINGs/libWINGs.a(wfont.o): undefined reference to symbol 'FcPatternDestroy'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.7.3/../../../../x86_64-pc-linux-gnu/bin/ld: note: 'FcPatternDestroy' is defined in DSO /usr/lib64/libfontconfig.so.1 so try adding it to the linker command line
/usr/lib64/libfontconfig.so.1: could not read symbols: Invalid operation


So, I'm not sure how to add libfontconfig.so.1 to the linker command line. Can anyone give me a clue? (Or should I just mask libpng 1.6?)

TIA
Back to top
View user's profile Send private message
paulj
Guru
Guru


Joined: 30 Sep 2004
Posts: 449
Location: Wales, UK

PostPosted: Tue Jan 07, 2014 6:18 am    Post subject: Reply with quote

Which version of windowmaker? I have just compiled and installed windowmaker-0.95.5-r1 with libpng-1.6.8, and there were no issues.
Back to top
View user's profile Send private message
lost+found
Guru
Guru


Joined: 15 Nov 2004
Posts: 508
Location: North~Sea~Coa~s~~t~~~

PostPosted: Tue Jan 07, 2014 8:23 am    Post subject: Reply with quote

No problems here, using windowmaker-0.95.5-r1 with fontconfig-2.10.92 and libpng-1.6.8 ...
Back to top
View user's profile Send private message
sl70
Guru
Guru


Joined: 18 Jun 2002
Posts: 397
Location: Chicago, USA

PostPosted: Tue Jan 07, 2014 3:58 pm    Post subject: Reply with quote

Thanks, lost+found and paulj. I ~amd64 keyworded windowmaker and now 0.95.5-r1 builds fine. I prefer not to use testing versions, but I'll keep with this.
Back to top
View user's profile Send private message
JanR
n00b
n00b


Joined: 21 Jan 2007
Posts: 67

PostPosted: Tue Jan 07, 2014 4:08 pm    Post subject: Reply with quote

Hi,

I have the same problem with the "stable" version 0.92.0-r11. Although going "unstable" would fix that, I do not consider this really a solution since stable packages should not be broken this way.

Therefore, I'm interested in other solutions (beside masking libpng 1.6).

Maybe installing libpng:1.5 additionally and somehow forcing windowmaker to use that one?

Greetings,

Jan
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 6194

PostPosted: Tue Jan 07, 2014 4:13 pm    Post subject: Reply with quote

:roll: Again, this - like most of those that popped up recently - has nothing to do with any particular lib upgrade.
It's due to a behavior change in recent (well, not that recent anymore) ld.
Quite a few packages need linking patches - some of that has already been dealt with upstream, but quite a few (and the older versions) lag a little.
Back to top
View user's profile Send private message
Anon-E-moose
Advocate
Advocate


Joined: 23 May 2008
Posts: 4797
Location: Dallas area

PostPosted: Tue Jan 07, 2014 5:28 pm    Post subject: Reply with quote

Looks like they're about to stabilize windowmaker-0.95.5-r1
per https://bugs.gentoo.org/show_bug.cgi?id=496082

as windowmaker-0.92.0-r11 is getting long in the tooth "Nov 12 2011" - last ebuild.
_________________
PRIME x570-pro, 3700x, RX 550 - 5.8 zen kernel
Acer E5-575 (laptop), i3-7100u - i965 - 5.5 zen kernel
---both---
gcc 9.3.0, profile 17.1 (no-pie & modified) amd64-no-multilib, eudev, openrc, openbox, palemoon
Back to top
View user's profile Send private message
hamletmun
Tux's lil' helper
Tux's lil' helper


Joined: 13 Jun 2002
Posts: 111
Location: Buenos Aires, Argentina

PostPosted: Sat Jan 25, 2014 11:23 am    Post subject: x86 Reply with quote

Not stable for x86 yet - http://packages.gentoo.org/package/x11-wm/windowmaker
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum